Skip to main content

Claim rewards on behalf of the user

POST 

/api/users/by-id/:userId/rewards/claim

Claim rewards on behalf of the user. The whole unclaimed confirmed amount is paid out as the selected product, so it must be at least $1 and within the product's minAmount and maxAmount (see GET /api/rewards/products?userId=...).

Request​

Path Parameters

    userId stringrequired

Query Parameters

    product stringrequired
    language string

    Default value: en

Responses​

The link to claim the reward.

Schema

    rewardDeliveryLink string

    Link for user to claim the reward

Loading...